StarObjectSpreadsheetInternal::Table Class Reference

Internal: a table of a StarObjectSpreadsheet. More...

Inheritance diagram for StarObjectSpreadsheetInternal::Table:

## Public Member Functions

| Table (int loadingVers, int maxRow)
| constructor
| ~Table () override
| destructor
int | getLoadingVersion () const
| returns the load version
int | getMaxRows () const
| returns the maximum number of row
std::vector< float > | getColumnWidths (std::vector< int > &repeated) const
| returns the col width dimension in inch
float | getRowHeight (int row) const
| returns the row size in point
RowContent * | getRow (int row)
| returns a row content
void | updateRowsBlocks (STOFFVec2i const &rows)
| create a block of rows(if not created)
Cell & | getCell (STOFFVec2i const &pos)
| returns a cell corresponding to a position
Public Member Functions inherited from STOFFTable
| STOFFTable ()
| the constructor
virtual | ~STOFFTable ()
| the destructor
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList

## Static Public Member Functions

static int | getMaxCols ()
| returns the maximum number of columns

## Public Attributes

int | m_loadingVersion
| the loading version
librevenge::RVNGString | m_name
| the table name
librevenge::RVNGString | m_pageStyle
| the page style name
int | m_maxRow
| the maximum number of row
std::vector< int > | m_colWidthList
| the columns width
std::map< STOFFVec2i, int > | m_rowHeightMap
| the rows heights in TWIP
std::map< STOFFVec2i, RowContent > | m_rowToRowContentMap
| map (min row, max row) -> rowContent
Cell | m_badCell
| a cell uses to return an empty cell
Public Attributes inherited from STOFFTable
librevenge::RVNGPropertyList | m_propertyList
| the property list

## Detailed Description

Internal: a table of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## Table()

StarObjectSpreadsheetInternal::Table::Table | ( | int | loadingVers,
|  | int | maxRow )

inline

constructor

## ~Table()

StarObjectSpreadsheetInternal::Table::~Table | ( |  | ) |

override

destructor

## Member Function Documentation

## getCell()

Cell & StarObjectSpreadsheetInternal::Table::getCell | ( | STOFFVec2i const & | pos | ) |

inline

returns a cell corresponding to a position

Referenced by StarObjectSpreadsheet::readSCColumn(), and StarObjectSpreadsheet::readSCData().

## getColumnWidths()

std::vector< float > StarObjectSpreadsheetInternal::Table::getColumnWidths | ( | std::vector< int > & | repeated | ) | const

inline

returns the col width dimension in inch

Referenced by StarObjectSpreadsheet::send().

## getLoadingVersion()

int StarObjectSpreadsheetInternal::Table::getLoadingVersion | ( |  | ) | const

inline

returns the load version

Referenced by StarObjectSpreadsheet::readSCData(), and StarObjectSpreadsheet::readSCTable().

## getMaxCols()

int StarObjectSpreadsheetInternal::Table::getMaxCols | ( |  | ) |

inline static

returns the maximum number of columns

Referenced by getCell(), and StarObjectSpreadsheet::readSCTable().

## getMaxRows()

int StarObjectSpreadsheetInternal::Table::getMaxRows | ( |  | ) | const

inline

returns the maximum number of row

Referenced by getCell(), and StarObjectSpreadsheet::readSCTable().

## getRow()

RowContent * StarObjectSpreadsheetInternal::Table::getRow | ( | int | row | ) |

inline

returns a row content

Referenced by getCell().

## getRowHeight()

float StarObjectSpreadsheetInternal::Table::getRowHeight | ( | int | row | ) | const

inline

returns the row size in point

Referenced by StarObjectSpreadsheet::send().

## updateRowsBlocks()

void StarObjectSpreadsheetInternal::Table::updateRowsBlocks | ( | STOFFVec2i const & | rows | ) |

inline

create a block of rows(if not created)

Referenced by getCell(), and StarObjectSpreadsheet::readSCColumn().

## Member Data Documentation

## m_badCell

Cell StarObjectSpreadsheetInternal::Table::m_badCell

a cell uses to return an empty cell

Referenced by getCell(), and Table().

## m_colWidthList

std::vector<int> StarObjectSpreadsheetInternal::Table::m_colWidthList

the columns width

Referenced by getColumnWidths(), StarObjectSpreadsheet::readSCTable(), and Table().

## m_loadingVersion

int StarObjectSpreadsheetInternal::Table::m_loadingVersion

the loading version

Referenced by getLoadingVersion(), and Table().

## m_maxRow

int StarObjectSpreadsheetInternal::Table::m_maxRow

the maximum number of row

Referenced by getMaxRows(), and Table().

## m_name

librevenge::RVNGString StarObjectSpreadsheetInternal::Table::m_name

the table name

Referenced by StarObjectSpreadsheet::send(), and Table().

## m_pageStyle

librevenge::RVNGString StarObjectSpreadsheetInternal::Table::m_pageStyle

the page style name

Referenced by StarObjectSpreadsheet::readSCTable(), and Table().

## m_rowHeightMap

std::map<STOFFVec2i, int> StarObjectSpreadsheetInternal::Table::m_rowHeightMap

the rows heights in TWIP

Referenced by getRowHeight(), StarObjectSpreadsheet::readSCTable(), StarObjectSpreadsheet::send(), and Table().

## m_rowToRowContentMap

std::map<STOFFVec2i, RowContent> StarObjectSpreadsheetInternal::Table::m_rowToRowContentMap

map (min row, max row) -> rowContent

Referenced by getRow(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::send(), Table(), and updateRowsBlocks().

The documentation for this class was generated from the following file:

- StarObjectSpreadsheet.cxx